Send message
curl --request POST \
--url https://api.managem.co.uk/conversations/{id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'import requests
url = "https://api.managem.co.uk/conversations/{id}/messages"
payload = { "body": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>')})
};
fetch('https://api.managem.co.uk/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"conversationId": "<string>",
"sender": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"body": "<string>",
"createdAt": "<string>",
"viewedAt": "<string>",
"attachments": [
{
"id": "<string>",
"imageId": "<string>",
"url": "<string>"
}
]
}Conversation
Send message
Send a message in an existing conversation.
Use this endpoint when a participant replies in an active conversation.
Behavior:
- Validates participant access and conversation lock state.
- Sends an email notification when the recipient is inactive.
POST
/
conversations
/
{id}
/
messages
Send message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Conversation ID
Body
application/json
Message body
Response
Message created
Unique identifier for the message
Conversation this message belongs to
User that sent the message
Show child attributes
Show child attributes
Content of the message
Timestamp when the message was created
Timestamp when the message was viewed
Images attached to the message
Show child attributes
Show child attributes
⌘I